Bug 1657263 - error setting up OCI Hooks: open /usr/share/containers/oci/hooks.d: no such file or directory
Summary: error setting up OCI Hooks: open /usr/share/containers/oci/hooks.d: no such f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 14:30 UTC by Igor Gnatenko
Modified: 2018-12-14 20:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-11 17:04:09 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2018-12-07 14:30:06 UTC
⋊> ~/P/u/packaging-committee on master ⨯ make                                                                                       15:27:10
podman run --rm -it -v "/home/brain/Projects/upstream/packaging-committee:/antora:z" \
	antora/antora --html-url-extension-style=indexify site.yml
Trying to pull docker.io/antora/antora:latest...Getting image source signatures
Copying blob sha256:4fe2ade4980c2dda4fc95858ebb981489baec8c1e4bd282ab1c3560be8ff9bde
 2.10 MB / 2.10 MB [========================================================] 1s
Copying blob sha256:eeb7d76f44e71e809d68e84491576534c80dea0b607501e1f476b6949124d646
 17.95 MB / 17.95 MB [======================================================] 7s
Copying blob sha256:e35f88fcc25962e9894d7e7da2b79ec9ce1b503ef2fe0e800bad87bcb2438319
 1.03 MB / 1.03 MB [========================================================] 0s
Copying blob sha256:1418dfb583851147ad0409cf59271d2afba6e88e829b1c853d6511edaa6b3e36
 35.81 MB / 35.81 MB [=====================================================] 20s
Copying blob sha256:2065e523d6c37b6ca24a4bfe9ffe16021730ba25616aaeef9f9ee0d87ab32c59
 129 B / 129 B [============================================================] 0s
Copying config sha256:82d09f18b6813c68c5c44d04c688c3d612dc5cfc83f8a8e93a3405a04557eaab
 6.29 KB / 6.29 KB [========================================================] 0s
Writing manifest to image destination
Storing signatures
error setting up OCI Hooks: open /usr/share/containers/oci/hooks.d: no such file or directory
make: *** [Makefile:5: doc] Error 127

podman-0.11.2-15.dev.git75b19ca.fc30.x86_64

Comment 1 Matthew Heon 2018-12-07 14:35:30 UTC
I think this should be fixed in 0.12.1 (we deprecated the default hooks directory which is erroring here), but I'll check to make sure

Comment 2 Matthew Heon 2018-12-07 16:29:00 UTC
Nevermind - confirmed that this is not fixed in 0.12.1 - potential fix in https://github.com/containers/libpod/pull/1955

Comment 3 Fedora Update System 2018-12-07 20:16:47 UTC
podman-0.12.1.1-1.git66d3499.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c32cf05c

Comment 4 Fedora Update System 2018-12-07 20:17:01 UTC
podman-0.12.1.1-1.git66d3499.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8e19475eb

Comment 5 Igor Gnatenko 2018-12-08 14:23:51 UTC
⋊> ~/P/u/packaging-committee on master ⨯ rpm -q podman                                                                              15:22:36
podman-0.12.2-2.dev.gita387c72.fc30.x86_64
⋊> ~/P/u/packaging-committee on master ⨯ make                                                                                       15:22:40
podman run --rm -it -v "/home/brain/Projects/upstream/packaging-committee:/antora:z" \
	antora/antora --html-url-extension-style=indexify site.yml
error setting up OCI Hooks: open /usr/share/containers/oci/hooks.d: no such file or directory
make: *** [Makefile:5: doc] Error 127


This is not fixed!

Comment 6 Matthew Heon 2018-12-10 14:38:20 UTC
How are you reproducing this? We managed to reproduce this on 0.12.1 and confirmed that it no longer occurred after the patch that went into 0.12.1.1.

It seems like you're running Rawhide - any other details you can share? CPU architecture, VM or physical hardware, etc? Is there an easy way to duplicate your configuration so we can try and reproduce?

Comment 7 Matthew Heon 2018-12-10 14:44:27 UTC
Nevermind - I dug into the Rawhide package and confirmed it was too old for the fix.

There is a new package podman-2:0.12.2-3.dev.git1f547b2 that should have the fix.

I think it should already be available.

Comment 8 Igor Gnatenko 2018-12-10 16:01:17 UTC
with podman-0.12.2-3.dev.git1f547b2.fc30.x86_64 is not reproducible anymore.

Comment 9 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 10 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.


Note You need to log in before you can comment on or make changes to this bug.